[arch-commits] Commit in qtiplot/trunk (PKGBUILD qtiplot-nopython.patch)

Ronald van Haren ronald at archlinux.org
Wed Jan 28 14:22:57 UTC 2009


    Date: Wednesday, January 28, 2009 @ 09:22:56
  Author: ronald
Revision: 25753

upgpkg: qtiplot 0.9.7.4-1

Added:
  qtiplot/trunk/qtiplot-nopython.patch
Modified:
  qtiplot/trunk/PKGBUILD

------------------------+
 PKGBUILD               |   17 ++++--------
 qtiplot-nopython.patch |   63 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-01-28 03:12:29 UTC (rev 25752)
+++ PKGBUILD	2009-01-28 14:22:56 UTC (rev 25753)
@@ -1,6 +1,6 @@
 # $Id$
 # Maintainer: Ronald van Haren <ronald.archlinux.org>
-# Contributor: damir <damir at archlinux.org>
+# Contributor: damir <damir.archlinux.org>
 
 pkgname=qtiplot
 pkgver=0.9.7.4
@@ -8,10 +8,9 @@
 pkgdesc="Data analysis and scientific plotting - free clone of Origin"
 arch=('i686' 'x86_64')
 url="http://soft.proindependent.com/qtiplot.html"
-depends=('muparser>=1.30' 'gsl' 'python>=2.6' 'pyqt' 'sip' \
+depends=('qwtplot3d' 'muparser>=1.30' 'gsl' 'python>=2.6' 'pyqt' 'sip' \
 	'boost>=1.36' 'libgl')
 # build against static liborigin provided in the package ...
-# build against qwtplot3d provided in the package ...
 # as systemwide one doesn't provide all needed functions
 license=('GPL2')
 
@@ -19,13 +18,13 @@
 	"$pkgname.desktop" "$pkgname.png" \
         "qtiplot-gcc4.3.patch" "liborigin-gcc4.3.patch" \
 	"qtiplot.archlinux.patch" "qtiplot-0.9.7.3-qwt3d.patch" \
-	"dynamicgsl.patch" "qtiplot-sip.patch")
+	"dynamicgsl.patch" "qtiplot-sip.patch" "qtiplot-nopython.patch")
 
 md5sums=('dd149d024501e34cda685023522b4d8d'         '56bd53f4f1367c285086acb969f13348'
          'ad8affbd6f0d5cbdcde46c923ee2668a'         '927149a0c3623209d4aaef867031ba76'
          'ad2333cfb8df37d33a6449c2c49ec945'         '6e30bd907a945881f667036df3b3d96b'
          '20ae1d441f299aa2c2c54e3bed3a9786'         '2c858d26255ecde7bcd157515ed767d6'
-         'f68e62cd6c6762345f1a123321f49e57')
+         'f68e62cd6c6762345f1a123321f49e57'         'b65f2b1266b42b9c298ac4dee3d19c90')
 
 build() {
 
@@ -40,21 +39,17 @@
   patch -Np0 -i $srcdir/liborigin-gcc4.3.patch || return 1
   patch -Np0 -i $srcdir/qtiplot.archlinux.patch || return 1
   patch -Np0 -i $srcdir/qtiplot-sip.patch || return 1
+  patch -Np2 -i $srcdir/qtiplot-nopython.patch || return 1
 
   export QMAKESPEC=linux-g++
 
   qmake qtiplot.pro || return 1
   make QTDIR=/usr/ QMAKESPEC=linux-g++ || return 1
-  install -D $srcdir/$pkgname-$pkgver/$pkgname/$pkgname \
-	$pkgdir/usr/bin/$pkgname || return 1
+  INSTALL_ROOT=${pkgdir} make install || return 1
 
   # make it nice:
   install -D -m644 $srcdir/$pkgname.png \
   	$pkgdir/usr/share/pixmaps/$pkgname.png || return 1
   install -D -m644 $srcdir/$pkgname.desktop \
   	$pkgdir/usr/share/applications/$pkgname.desktop || return 1
-
-  # install wordlist for autocompletion
-  install -Dm644 $srcdir/$pkgname-$pkgver/$pkgname/qti_wordlist.txt \
-	$pkgdir/usr/share/qtiplot/qti_wordlist.txt || return 1
 }

Added: qtiplot-nopython.patch
===================================================================
--- qtiplot-nopython.patch	                        (rev 0)
+++ qtiplot-nopython.patch	2009-01-28 14:22:56 UTC (rev 25753)
@@ -0,0 +1,63 @@
+Index: qtiplot-0.9.7.4/qtiplot/src/scripting/ScriptEdit.cpp
+===================================================================
+--- qtiplot-0.9.7.4.orig/qtiplot/src/scripting/ScriptEdit.cpp
++++ qtiplot-0.9.7.4/qtiplot/src/scripting/ScriptEdit.cpp
+@@ -28,7 +28,11 @@
+  ***************************************************************************/
+ #include "ScriptEdit.h"
+ #include "Note.h"
++
++#ifdef SCRIPTING_PYTHON
+ #include "PythonSyntaxHighlighter.h"
++#endif
++
+ #include "FindReplaceDialog.h"
+ 
+ #include <QAction>
+@@ -58,9 +62,11 @@ ScriptEdit::ScriptEdit(ScriptingEnv *env
+ 	setTextFormat(Qt::PlainText);
+ 	setAcceptRichText (false);
+ 
++#ifdef SCRIPTING_PYTHON
+ 	if (scriptEnv->name() == QString("Python"))
+ 		d_highlighter = new PythonSyntaxHighlighter(this);
+-	
++#endif
++
+ 	d_fmt_default.setBackground(palette().brush(QPalette::Base));
+ 	d_fmt_failure.setBackground(QBrush(QColor(255,128,128)));
+ 
+@@ -142,6 +148,7 @@ void ScriptEdit::customEvent(QEvent *e)
+ 		connect(myScript, SIGNAL(error(const QString&, const QString&, int)), this, SLOT(insertErrorMsg(const QString&)));
+ 		connect(myScript, SIGNAL(print(const QString&)), this, SLOT(scriptPrint(const QString&)));
+ 
++#ifdef SCRIPTING_PYTHON
+ 		if (scriptEnv->name() == QString("Python") && !d_highlighter)
+ 			d_highlighter = new PythonSyntaxHighlighter(this);
+ 		else {
+@@ -149,6 +156,7 @@ void ScriptEdit::customEvent(QEvent *e)
+ 				delete d_highlighter;
+ 			d_highlighter = 0;
+ 		}
++#endif
+ 	}
+ }
+ 
+@@ -585,13 +593,16 @@ void ScriptEdit::setDirPath(const QStrin
+ 
+ void ScriptEdit::rehighlight()
+ {
++#ifdef SCRIPTING_PYTHON
+ 	if (scriptEnv->name() != QString("Python"))
+ 		return;
+-
++#endif
+ 	if (d_highlighter)
+ 		delete d_highlighter;
+ 
++#ifdef SCRIPTING_PYTHON
+ 	d_highlighter = new PythonSyntaxHighlighter(this);
++#endif
+ }
+ 
+ void ScriptEdit::showFindDialog(bool replace)




More information about the arch-commits mailing list